org.apache.tapestry5.internal.services

## Class PartialTemplateRendererImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.PartialTemplateRendererImpl

- All Implemented Interfaces:
    PartialTemplateRenderer

      public class PartialTemplateRendererImpl
      extends Object
      implements PartialTemplateRenderer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartialTemplateRendererImpl(TypeCoercer typeCoercer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `render(Object object)` Renders an object, probably a `Block` or component instance, to a string.
    `Document` | `renderAsDocument(Object object)` Renders an object to a `Document` following the same rules as `PartialTemplateRenderer.render(Object)` This method supposes any kind of initialization needed was already done.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartialTemplateRendererImpl

          public PartialTemplateRendererImpl(TypeCoercer typeCoercer)

  - ### Method Detail

    - #### renderAsDocument

          public Document renderAsDocument(Object object)

      Description copied from interface: `PartialTemplateRenderer`
      Renders an object to a `Document` following the same rules as `PartialTemplateRenderer.render(Object)` This method supposes any kind of initialization needed was already done. CSS and JavaScript inclusions or importings are ignored.
      Specified by:
        `renderAsDocument` in interface `PartialTemplateRenderer`
      Returns:
        a `Document`.

    - #### render

          public String render(Object object)

      Description copied from interface: `PartialTemplateRenderer`

      Renders an object, probably a `Block` or component instance, to a string. This method supposes any kind of initialization needed was already done. CSS and JavaScript inclusions or importings are ignored. The object must implement `RenderCommand` or being able to be coerced to it by `TypeCoercer`.

      Specified by:
        `render` in interface `PartialTemplateRenderer`
      Parameters:
        `object` - an object, probably a `Block` or component instance or `RenderCommand`.

${project.version} - Copyright © 2003-2014 The Apache Software Foundation.